/* 
 * File:   pms.h
 * Author: aamir64
 *
 * Created on 13 May 2013, 5:51 PM
 */

/***************************************************************************
 * COSC1283/1284 - Programming Techniques
 * Semester 1 2013 Assignment #2 - SCSIT Program Management System
 * Full Name        : EDIT HERE
 * Student Number   : EDIT HERE
 * Yallara Username : EDIT HERE
 * Course Code      : EDIT HERE
 * Program Code     : EDIT HERE
 * Start up code provided by Paul Miller and Xiaodong Li
 **************************************************************************/

/* System-wide header files. */
#include <stdio.h>
#include <stdlib.h>

/* program header files */
#include "pms_program.h"
#include "pms_course.h"
#ifndef PMS_H
#define PMS_H


/* System-wide constants. */
#define ID_LEN 5
#define PROG_ID_LEN 5
#define PROG_TYPE_LEN 2
#define MODE_LEN 2
#define MIN_TITLE_LEN 1
#define MAX_TITLE_LEN 35
#define PROG_CODE_LEN 6
#define COURSE_ID_LEN 8
#define COURSE_CODE_LEN 8
#define MIN_DESC_LEN 1
#define MAX_DESC_LEN 250
#define NUM_TEACHPERIODS 1
#define SUCCESS 1
#define FAILURE 0

/* enumeration that defines the BOOLEAN data type as two possible integers,
 * 0 and 1
 */
typedef enum truefalse
{
    FALSE=0,TRUE
} BOOLEAN;

/* predeclare the program and course structs */
typedef struct program* ProgramTypePtr;
typedef struct course* CourseTypePtr;

/* Structure definitions. */

typedef struct pms
{
    ProgramTypePtr headProgram;
    unsigned numPrograms;
} PMSType;

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* PMS_H */

